package com.sd.business.entity.sku.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * sku规格关联
 * </p>
 *
 * @author
 * @since 2023-07-07
 */
@Getter
@Setter
@TableName("sku_spec_link")
public class SkuSpecLink extends BasePo {

    /**
     * sku id
     */
    private Long skuId;

    /**
     * sku规格id
     */
    private Long skuSpecId;

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 关联类型 1包材 2快递包装
     */
    private Integer type;

    /**
     * 数量
     */
    private Integer quantity;

}
